summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-03-14 17:45:02 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-03-14 17:45:02 (GMT)
commit91e7e1105b837173adacd6ca1489cd2814c1ccf7 (patch)
treea9e32d1aef13b10930ccfc697b59f689e8007441
parentad9a6e9be1f0af2a5c15d4f05e1aa4c9d561e9f0 (diff)
downloadlinhes_pkgbuild-91e7e1105b837173adacd6ca1489cd2814c1ccf7.zip
linhes_pkgbuild-91e7e1105b837173adacd6ca1489cd2814c1ccf7.tar.gz
linhes_pkgbuild-91e7e1105b837173adacd6ca1489cd2814c1ccf7.tar.bz2
Missing makedepends for avahi.
gtk-sharp2 libgdiplus mono
-rw-r--r--abs/extra-testing/gtk-sharp-2/PKGBUILD28
-rw-r--r--abs/extra-testing/libgdiplus/PKGBUILD22
-rw-r--r--abs/extra-testing/libgdiplus/system-cairo.patch67
-rw-r--r--abs/extra-testing/mono/PKGBUILD47
-rw-r--r--abs/extra-testing/mono/__changelog1
-rw-r--r--abs/extra-testing/mono/bug434892.patch11
-rw-r--r--abs/extra-testing/mono/mono.rc.d35
7 files changed, 211 insertions, 0 deletions
diff --git a/abs/extra-testing/gtk-sharp-2/PKGBUILD b/abs/extra-testing/gtk-sharp-2/PKGBUILD
new file mode 100644
index 0000000..cabcc92
--- /dev/null
+++ b/abs/extra-testing/gtk-sharp-2/PKGBUILD
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD 26977 2009-02-15 00:09:35Z jgc $
+# Maintainer: tobias <tobias@archlinux.org>
+
+pkgname=gtk-sharp-2
+pkgver=2.12.8
+pkgrel=1
+pkgdesc="gtk2 bindings for C#"
+arch=(i686 x86_64)
+license=('LGPL')
+url="http://gtk-sharp.sourceforge.net"
+depends=('mono>=2.2' 'libglade>=2.6.3' 'gtk2>=2.14.7')
+makedepends=('pkgconfig' 'monodoc')
+conflicts=('gtk#')
+options=('!libtool' '!makeflags')
+source=(http://ftp.gnome.org/pub/GNOME/sources/gtk-sharp/2.12/gtk-sharp-${pkgver}.tar.bz2)
+md5sums=('1b12a33df2ab87448848c0cc0733ca77')
+
+build() {
+ # get rid of that .wapi errors; thanks to brice
+ export MONO_SHARED_DIR="${srcdir}/weird"
+ mkdir -p "${MONO_SHARED_DIR}"
+
+ cd "${srcdir}/gtk-sharp-${pkgver}"
+ ./configure --prefix=/usr --sysconfdir=/etc --disable-static || return 1
+ make || return 1
+ make GACUTIL="/usr/bin/gacutil /root ${pkgdir}/usr/lib" \
+ DESTDIR="${pkgdir}" install || return 1
+}
diff --git a/abs/extra-testing/libgdiplus/PKGBUILD b/abs/extra-testing/libgdiplus/PKGBUILD
new file mode 100644
index 0000000..3b91775
--- /dev/null
+++ b/abs/extra-testing/libgdiplus/PKGBUILD
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD 15386 2008-10-13 16:29:55Z daniel $
+# Maintainer: daniel@archlinux.org
+
+pkgname=libgdiplus
+pkgver=2.2
+pkgrel=1
+pkgdesc="An Open Source Implementation of the GDI+ API"
+arch=(i686 x86_64)
+license=('MPL' 'LGPL')
+url="http://www.mono-project.com"
+depends=('libtiff' 'cairo>=1.6.4' 'giflib' 'glib2>=2.18.0' 'libexif')
+makedepends=('automake' 'pkgconfig')
+options=('!libtool')
+source=(http://go-mono.com/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('4af9c8171e75f1408c3628a8f7937d9f')
+
+build() {
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --with-cairo=system
+ make || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
+}
diff --git a/abs/extra-testing/libgdiplus/system-cairo.patch b/abs/extra-testing/libgdiplus/system-cairo.patch
new file mode 100644
index 0000000..b605a3e
--- /dev/null
+++ b/abs/extra-testing/libgdiplus/system-cairo.patch
@@ -0,0 +1,67 @@
+diff -ur libgdiplus-1.1.15-old/Makefile.am libgdiplus-1.1.15/Makefile.am
+--- libgdiplus-1.1.15-old/Makefile.am 2006-04-14 10:04:55.000000000 -0700
++++ libgdiplus-1.1.15/Makefile.am 2006-04-21 18:06:49.000000000 -0700
+@@ -1,4 +1,4 @@
+-SUBDIRS = cairo src tests
++SUBDIRS = src tests
+ #libpixman
+
+ pkgconfigdir = $(libdir)/pkgconfig
+diff -ur libgdiplus-1.1.15-old/configure.in libgdiplus-1.1.15/configure.in
+--- libgdiplus-1.1.15-old/configure.in 2006-04-14 10:04:55.000000000 -0700
++++ libgdiplus-1.1.15/configure.in 2006-04-21 18:06:49.000000000 -0700
+@@ -18,32 +18,32 @@
+ AC_MSG_ERROR("Did not find Glib >= 2.2.3");
+ fi
+
+-AC_CONFIG_SUBDIRS(cairo)
+-CAIRO_LIBS='$(top_builddir)/cairo/src/libcairo.la'
+-CAIRO_CFLAGS='-I$(top_builddir)/cairo/pixman/src -I$(top_srcdir)/cairo/pixman/src -I$(top_builddir)/cairo/src -I$(top_srcdir)/cairo/src'
+-AC_DEFINE(USE_INCLUDED_CAIRO,1,[Use Cairo bundled in libgdiplus])
++#AC_CONFIG_SUBDIRS(cairo)
++#CAIRO_LIBS='$(top_builddir)/cairo/src/libcairo.la'
++#CAIRO_CFLAGS='-I$(top_builddir)/cairo/pixman/src -I$(top_srcdir)/cairo/pixman/src -I$(top_builddir)/cairo/src -I$(top_srcdir)/cairo/src'
++#AC_DEFINE(USE_INCLUDED_CAIRO,1,[Use Cairo bundled in libgdiplus])
+
+ # Activate this when we support linking to an already exiting Cairo installation
+-#default_cairo=included
+-#AC_ARG_WITH(cairo, [ --with-cairo=included,installed],[cairo_v=$with_cairo],[cairo_v=$default_cairo])
++default_cairo=included
++AC_ARG_WITH(cairo, [ --with-cairo=included,installed],[cairo_v=$with_cairo],[cairo_v=$default_cairo])
+ #
+-#if test $cairo_v = "included";
+-#then
++if test $cairo_v = "included";
++then
+ # #AC_CONFIG_SUBDIRS(libpixman)
+-# AC_CONFIG_SUBDIRS(cairo)
+-# CAIRO_LIBS='$(top_builddir)/cairo/src/libcairo.la'
+-# CAIRO_CFLAGS='-I$(top_builddir)/cairo/pixman/src -I$(top_srcdir)/cairo/pixman/src -I$(top_builddir)/cairo/src -I$(top_srcdir)/cairo/src'
+-# AC_DEFINE(USE_INCLUDED_CAIRO,1,[Use Cairo bundled in libgdiplus])
+-#else
+-# if pkg-config --exact-version 0.3.0 cairo; then
+-# echo Cairo installation OK
+-# else
+-# AC_MSG_ERROR("Did not find Cairo == 0.3.0");
+-# fi
+-#
+-# CAIRO_LIBS="`pkg-config --libs cairo`"
+-# CAIRO_CFLAGS="`pkg-config --cflags cairo`"
+-#fi
++ AC_CONFIG_SUBDIRS(cairo)
++ CAIRO_LIBS='$(top_builddir)/cairo/src/libcairo.la'
++ CAIRO_CFLAGS='-I$(top_builddir)/cairo/pixman/src -I$(top_srcdir)/cairo/pixman/src -I$(top_builddir)/cairo/src -I$(top_srcdir)/cairo/src'
++ AC_DEFINE(USE_INCLUDED_CAIRO,1,[Use Cairo bundled in libgdiplus])
++else
++ if pkg-config --atleast-version 1.0.1 cairo; then
++ echo Cairo installation OK
++ else
++ AC_MSG_ERROR("Did not find Cairo == 1.0.1");
++ fi
++
++ CAIRO_LIBS="`pkg-config --libs cairo`"
++ CAIRO_CFLAGS="`pkg-config --cflags cairo`"
++fi
+
+ GDIPLUS_LIBS="$CAIRO_LIBS `pkg-config --libs glib-2.0 ` `pkg-config freetype2 fontconfig --libs`"
+ GDIPLUS_CFLAGS="$CAIRO_CFLAGS `pkg-config --cflags glib-2.0 ` `pkg-config freetype2 fontconfig --cflags`"
diff --git a/abs/extra-testing/mono/PKGBUILD b/abs/extra-testing/mono/PKGBUILD
new file mode 100644
index 0000000..94ad05a
--- /dev/null
+++ b/abs/extra-testing/mono/PKGBUILD
@@ -0,0 +1,47 @@
+# $Id: PKGBUILD 25123 2009-01-23 17:05:04Z daniel $
+# Maintainer: Daniel Isenmann <daniel@archlinux.org>
+# Contributor: Brice Carpentier <brice@dlfp.org>
+
+pkgname=mono
+pkgver=2.2
+pkgrel=1
+pkgdesc="Free implementation of the .NET platform including runtime and compiler"
+arch=(i686 x86_64)
+license=('GPL' 'LGPL2' 'MPL' 'custom:MITX11')
+url="http://www.mono-project.com/"
+depends=('zlib' 'libgdiplus>=2.2')
+makedepends=('pkgconfig' 'bison')
+options=('!libtool' '!makeflags')
+provides=('monodoc')
+conflicts=('monodoc')
+source=(http://www.go-mono.com/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+ mono.rc.d)
+md5sums=('da147e24d14a73d8ad52775dd4a3d165'
+ '8315e46c6a6e9625502521fc0ad1a322')
+
+build() {
+ # get rid of that .wapi errors; thanks to brice
+ export MONO_SHARED_DIR=${startdir}/src/weird
+ mkdir -p "${MONO_SHARED_DIR}"
+ mkdir -p ${startdir}/pkg/usr/share/licenses/$pkgname
+ # build mono
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ rm -f libgc/libtool.m4
+ autoreconf --force --install
+ autoreconf --force --install libgc
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --with-libgdiplus=installed --with-icu=no \
+ --with-tls=pthread --with-jit=yes --with-preview=yes \
+ --with-sigaltstack=yes --enable-nunit-tests \
+ --with-moonlight=yes
+ make || return 1
+ sed -i "/NO_INSTALL = yes/d" mcs/nunit20/nunit-console/Makefile
+ make DESTDIR=${startdir}/pkg install
+
+ # install daemons and pathes
+ mkdir -p ${startdir}/pkg/etc/rc.d
+ install -m755 ${startdir}/src/mono.rc.d $startdir/pkg/etc/rc.d/mono
+
+ #install license
+ install -m644 mcs/MIT.X11 ${startdir}/pkg/usr/share/licenses/$pkgname/
+}
diff --git a/abs/extra-testing/mono/__changelog b/abs/extra-testing/mono/__changelog
new file mode 100644
index 0000000..254c863
--- /dev/null
+++ b/abs/extra-testing/mono/__changelog
@@ -0,0 +1 @@
+add bison as a make depends
diff --git a/abs/extra-testing/mono/bug434892.patch b/abs/extra-testing/mono/bug434892.patch
new file mode 100644
index 0000000..d4f46f6
--- /dev/null
+++ b/abs/extra-testing/mono/bug434892.patch
@@ -0,0 +1,11 @@
+--- trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs 2008/07/01 20:17:46 107006
++++ trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs 2008/10/28 09:32:46 117243
+@@ -177,7 +177,7 @@
+ foreach (OperationMessage om in op.Messages) {
+ Message msg = ctx.Services.GetMessage (om.Message);
+ foreach (MessagePart part in msg.Parts)
+- parts.Add (part,part);
++ parts [part] = part; // do not use Add() - there could be the same MessagePart instance.
+ }
+ }
+
diff --git a/abs/extra-testing/mono/mono.rc.d b/abs/extra-testing/mono/mono.rc.d
new file mode 100644
index 0000000..548cc2d
--- /dev/null
+++ b/abs/extra-testing/mono/mono.rc.d
@@ -0,0 +1,35 @@
+#!/bin/bash
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Registering .NET IL binaries with mono"
+ if [ ! -d /proc/sys/fs/binfmt_misc ]; then
+ stat_die "You need support for \"misc binaries\" in your kernel!"
+ fi
+ mount | grep -q binfmt_misc
+ if [ $? != 0 ]; then
+ mount -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc
+ if [ $? != 0 ]; then
+ stat_die
+ fi
+ fi
+ echo ':CLR:M::MZ::/usr/bin/mono:' > /proc/sys/fs/binfmt_misc/register
+ stat_done
+ ;;
+ stop)
+
+ stat_busy "Unregistering .NET IL binaries"
+ if [ -f /proc/sys/fs/binfmt_misc/CLR ]; then
+ echo '-1' > /proc/sys/fs/binfmt_misc/CLR
+ fi
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac